%define name        pfsshell
%define version     1.1.1
%define release     1
%define buildroot   %{_tmppath}/%{name}-%{version}-%{release}-root

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        PFS (PlayStation File System) shell for POSIX-based systems

License:        GPL-2.0
URL:            https://github.com/ps2homebrew/pfsshell/
Source0:        https://github.com/ps2homebrew/pfsshell/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  meson gcc
BuildRoot:      %{buildroot}

%description
This tool allows you to browse and transfer files to and from PFS filesystems using the command line. This tool is useful for transferring configuration and media files used by programs such as Open PS2 Loader and SMS.

%prep
%setup -q -n pfsshell-%{version}

%build
export CFLAGS="$CFLAGS -Wformat"
meson setup builddir
cd builddir
meson compile

%install
install -Dm755 README.md "$RPM_BUILD_ROOT/usr/share/doc/pfsshell/README"
install -Dm755 COPYING "$RPM_BUILD_ROOT/usr/share/doc/pfsshell/COPYING"
cd builddir
install -Dm755 pfsshell "$RPM_BUILD_ROOT/usr/bin/pfsshell"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/pfsshell

%doc README COPYING

%changelog
* Tue Apr 3 2023 - 1.0-1
- Initial RPM release.
